# Gimp.Drawable.type_with_alpha

    @accepts(Gimp.Drawable)
    @returns(Gimp.ImageType)
    def type_with_alpha(self):
        # Python wrapper for gimp_drawable_type_with_alpha()

Returns the drawable's type with alpha.

This procedure returns the drawable's type as if had an alpha channel. If the type is currently Gray, for instance, the returned type would be GrayA. If the drawable already has an alpha channel, the drawable's type is simply returned.

self

  The drawable.

Returns